vue 新建项目在IE9 10 打不开

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/babylove_lin/article/details/78823934

并不是webpack配置问题。也不是babel没编译。

这个锅其实是 webpack-dev-server的问题。它里面通过socket给浏览器的代码有 部分 es6的代码 如 const 这些。然后这种东西ie11以下并不认识


我的解决方式是找到 /node_modules/webpack-dev-server 下的client文件夹用老项目的文件替换掉这个文件就可以了,就是这个文件里的js用了es6语法导致的! 如果有更好的解决方案可以分享的,我的方式只是比较强硬的解决了问题,但是感觉这个方式容易出问题! 多谢给出的提示!

Webpack Dev Server 官方已经放弃了旧版浏览器的支持,所以要么回滚到 webpack-dev-server@2.7.1 要么放弃旧版浏览器。

展开阅读全文

没有更多推荐了,返回首页